curl -X GET \
/public/checkout/cart/{id}/payment-methods \
--header "Authorization: Bearer <token>"{
"data": [
{
"id": "<string>",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "[email protected]",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Retrieves the payment methods of a cart.
curl -X GET \
/public/checkout/cart/{id}/payment-methods \
--header "Authorization: Bearer <token>"{
"data": [
{
"id": "<string>",
"gatewayName": "wallet",
"type": "sepa_debit",
"default": true,
"status": "active",
"enabled": true,
"name": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"card": {
"brand": "Visa",
"last4": "4242",
"expMonth": 12,
"expYear": 2022,
"cardHolder": "Max Mustermann"
},
"sepaDebit": {
"iban": "DE8937*********3232",
"bic": "COBADEFFXXX",
"mandateReference": "MNDT-2021-123456",
"signingDate": "2021-01-01T00:00:00+00:00"
},
"paypal": {
"email": "[email protected]",
"billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
}
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Value for the Authorization header parameter.
Cart identifier
The collection page number
The number of items per page
0 <= x <= 100Cart collection
Show child attributes
wallet, sepa_debit, stripe, fake_provider, paypal, bank_transfer, go_cardless, testing sepa_debit, card, paypal, bank_transfer, wallet, fake_provider, active, action_required, expired, revoked, gateway_unconfigured "active"
The card data of the payment method, if the type is "card"
Show child attributes
The brand of the card
"Visa"
The last 4 digits of the card
"4242"
The expiration month of the card
12
The expiration year of the card
2022
The card holder name
"Max Mustermann"
The sepa mandate data of the payment method, if the type is "sepa_debit"
Show child attributes
The iban of the sepa mandate
"DE8937*********3232"
The bic of the sepa mandate
"COBADEFFXXX"
The mandate reference of the sepa mandate
"MNDT-2021-123456"
The signing date of the sepa mandate
"2021-01-01T00:00:00+00:00"
The paypal data of the payment method, if the type is "paypal"
Show child attributes
The email of the paypal account
The billing agreement id of the paypal account
"I-1J5gqz2eZvKYlo2C2X2X2X2X"
Was this page helpful?